EXEC [dbo].[__AddStoredProcInfo]
    /* StoredProc_Name         */ 'ServerPackages_DeletePackages',
    /* Internal_Indicator      */ 'N',
    /* ReturnType_Name         */ 'void',
    /* DataTableNames_Csv      */ NULL,
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Deletes the server packages matching the specified criteria.'
GO

IF OBJECT_ID('[ServerPackages_DeletePackages]') IS NOT NULL DROP PROCEDURE [ServerPackages_DeletePackages]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [ServerPackages_DeletePackages]
(
	@Server_Id INT = NULL,
    @PackageType_Name NVARCHAR(50) = NULL,
    @Package_Name NVARCHAR(255) = NULL,
    @Package_Version VARCHAR(50) = NULL
)
AS
BEGIN

SET NOCOUNT ON

    DELETE FROM [ServerPackages]
     WHERE (@Server_Id IS NULL OR [Server_Id] = @Server_Id)
       AND (@PackageType_Name IS NULL OR [PackageType_Name] = @PackageType_Name)
       AND (@Package_Name IS NULL OR [Package_Name] = @Package_Name)
       AND (@Package_Version IS NULL OR [Package_Version] = @Package_Version)


END
GO

GRANT EXECUTE ON [ServerPackages_DeletePackages] TO [OtterUser_Role]
