EXEC [dbo].[__AddStoredProcInfo]
    /* StoredProc_Name         */ 'ServerPackages_GetPackages',
    /* Internal_Indicator      */ 'N',
    /* ReturnType_Name         */ 'DataTable',
    /* DataTableNames_Csv      */ 'ServerPackages_Extended',
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Gets the server packages based on the specified criteria.'
GO

IF OBJECT_ID('[ServerPackages_GetPackages]') IS NOT NULL DROP PROCEDURE [ServerPackages_GetPackages]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [ServerPackages_GetPackages]
(
	@Server_Id INT = NULL,
    @PackageType_Name NVARCHAR(50) = NULL,
    @Package_Name NVARCHAR(255) = NULL,
    @Package_Version VARCHAR(50) = NULL
)
AS
BEGIN

SET NOCOUNT ON

    SELECT * 
      FROM [ServerPackages_Extended]
     WHERE @Server_Id IS NULL OR [Server_Id] = @Server_Id
       AND @PackageType_Name IS NULL OR [PackageType_Name] = @PackageType_Name
       AND @Package_Name IS NULL OR [Package_Name] = @Package_Name
       AND @Package_Version IS NULL OR [Package_Version] = @Package_Version


END
GO

GRANT EXECUTE ON [ServerPackages_GetPackages] TO [OtterUser_Role]
