EXEC [dbo].[__AddStoredProcInfo]
    /* StoredProc_Name         */ 'ServerRoles_GetServerRoleServers',
    /* Internal_Indicator      */ 'Y',
    /* ReturnType_Name         */ 'DataTable',
    /* DataTableNames_Csv      */ 'Servers_Extended',
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Returns a list of servers that have any of the specified roles.'
GO

IF OBJECT_ID('[ServerRoles_GetServerRoleServers]') IS NOT NULL DROP PROCEDURE [ServerRoles_GetServerRoleServers]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [ServerRoles_GetServerRoleServers]
(
    @ServerRoleIds_Csv NVARCHAR(500)
)
AS
BEGIN

    SET NOCOUNT ON

	SELECT *
	  FROM [Servers_Extended] S
	       INNER JOIN (SELECT DISTINCT SRS.[Server_Id]
                         FROM dbo.CsvToTable(@ServerRoleIds_Csv,',') T
	                          INNER JOIN [ServerRoleServers] SRS
		                              ON SRS.[ServerRole_Id] = CAST(T.[Value_Text] AS INT)) SR
				   ON SR.[Server_Id] = S.[Server_Id]

END
GO

GRANT EXECUTE ON [ServerRoles_GetServerRoleServers] TO [OtterUser_Role]