EXEC [dbo].[__AddStoredProcInfo]
    /* StoredProc_Name         */ 'Servers_SetUnknownConfiguration',
    /* Internal_Indicator      */ 'N',
    /* ReturnType_Name         */ 'void',
    /* DataTableNames_Csv      */ NULL,
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Updates all configuration on a server that wasn''t set on a specified execution.'
GO


IF OBJECT_ID('[Servers_SetUnknownConfiguration]') IS NOT NULL DROP PROCEDURE [Servers_SetUnknownConfiguration]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [Servers_SetUnknownConfiguration]
(
	@Server_Id INT,
	@CollectedOn_Execution_Id INT
)
AS
BEGIN

SET NOCOUNT ON

BEGIN TRY
	BEGIN TRANSACTION


        DELETE [ServerConfigurations]
         WHERE [Server_Id] = @Server_Id
           AND (@CollectedOn_Execution_Id IS NULL
            OR [CollectedOn_Execution_Id] <> @CollectedOn_Execution_Id)

        --UPDATE [ServerConfigurations]
        --   SET [ServerConfiguration_Status_Code] = 'U'
        -- WHERE [Server_Id] = @Server_Id
        --   AND (@CollectedOn_Execution_Id IS NULL
        --    OR [CollectedOn_Execution_Id] <> @CollectedOn_Execution_Id)

	COMMIT
END TRY BEGIN CATCH
	IF XACT_STATE()<>0 ROLLBACK
	EXEC [HandleError]
END CATCH


END
GO

GRANT EXECUTE ON [Servers_SetUnknownConfiguration] TO [OtterUser_Role]
